## sentinelsat 0.14

=== requirements.txt ===
requests
click
html2text
geojson >= 2
tqdm
six
geomet

## sentinelsat 0.12.2

=== debian/changelog ===
sentinelsat (0.12.2-1) unstable; urgency=medium

  * Initial upload to sid (Closes: #907879).

 -- Simon Spöhel <simon@spoehel.ch>  Mon, 10 Sep 2018 12:05:44 +0200

=== debian/control ===
Source: sentinelsat
Section: python
Priority: optional
Maintainer: Simon Spöhel <simon@spoehel.ch>
Build-Depends:
 debhelper (>= 11),
 dh-python,
 python3-all,
 python3-click,
 python3-geojson (>= 2),
 python3-geomet,
 python3-html2text,
 python3-requests,
 python3-setuptools,
 python3-six,
 python3-tqdm,
Rules-Requires-Root: no
Standards-Version: 4.2.1
Homepage: https://github.com/sentinelsat/sentinelsat
Vcs-Browser: https://salsa.debian.org/simon-guest/sentinelsat
Vcs-Git: https://salsa.debian.org/simon-guest/sentinelsat.git

Package: python3-sentinelsat
Section: python
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: search and download Sentinel satellite images (Python)
 Sentinelsat makes searching, downloading and retrieving the metadata of
 Sentinel satellite images from the Copernicus Open Access Hub easy.
 .
 This package contains the module for Python.

Package: sentinelsat
Section: python
Architecture: all
Depends:
 python3-sentinelsat (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: search and download Sentinel satellite images
 Sentinelsat makes searching, downloading and retrieving the metadata of
 Sentinel satellite images from the Copernicus Open Access Hub easy.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=sentinelsat

%:
	dh ${@} --buildsystem=pybuild --with python3

override_dh_auto_install:
	dh_auto_install

	# python3-sentinelsat
	mkdir -p debian/python3-sentinelsat/usr/share/doc/python3-sentinelsat
	cp README.rst debian/python3-sentinelsat/usr/share/doc/python3-sentinelsat/README

	# sentinelsat
	mkdir -p debian/sentinelsat/usr
	mv debian/python3-sentinelsat/usr/bin debian/sentinelsat/usr/bin

override_dh_auto_test:
	# disabled

## sentinelsat 0.13

=== debian/changelog ===
sentinelsat (0.13-1) unstable; urgency=medium

  * Adding debian watch file.
  * Updating years in copyright for 2020.
  * Updating to standards version 4.5.0.
  * Adding upstream version 0.13.

 -- Simon Spöhel <simon@spoehel.ch>  Fri, 24 Jan 2020 10:48:16 +0100

sentinelsat (0.12.2-2) unstable; urgency=medium

  * Updating year in copyright for 2019.
  * Updating to debhelper 12.
  * Updating to standards version 4.3.0.
  * Using PYBUILD variable in rules file.

 -- Simon Spöhel <simon@spoehel.ch>  Thu, 03 Jan 2019 14:14:52 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Simon Spöhel <simon@spoehel.ch>
 Build-Depends:
- debhelper (>= 11),
+ debhelper (>= 12),
  dh-python,
  python3-all,
  python3-click,
@@ -15,7 +15,7 @@
  python3-six,
  python3-tqdm,
 Rules-Requires-Root: no
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/sentinelsat/sentinelsat
 Vcs-Browser: https://salsa.debian.org/simon-guest/sentinelsat
 Vcs-Git: https://salsa.debian.org/simon-guest/sentinelsat.git

=== debian/watch ===
version=4
opts=pgpmode=auto https://pypi.org/project/sentinelsat .*/sentinelsat-(\d\S+)\.tar\.gz

## sentinelsat 0.14

=== debian/changelog ===
sentinelsat (0.14-1) unstable; urgency=medium

  * Uploading to unstable.
  * Adding upstream version 0.14.
  * Updating to debhelper 13.
  * Fixing watch file.

 -- Simon Spöhel <simon@spoehel.ch>  Thu, 06 Aug 2020 10:15:14 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Simon Spöhel <simon@spoehel.ch>
 Build-Depends:
- debhelper (>= 12),
+ debhelper (>= 13),
  dh-python,
  python3-all,
  python3-click,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=sentinelsat

%:
	dh ${@} --buildsystem=pybuild --with python3

override_dh_auto_install:
	dh_auto_install

	# python3-sentinelsat
	mkdir -p debian/python3-$(PYBUILD_NAME)/usr/share/doc/python3-$(PYBUILD_NAME)
	cp README.rst debian/python3-$(PYBUILD_NAME)/usr/share/doc/python3-$(PYBUILD_NAME)/README

	# sentinelsat
	mkdir -p debian/sentinelsat/usr
	mv debian/python3-$(PYBUILD_NAME)/usr/bin debian/sentinelsat/usr/bin

override_dh_auto_test:
	# disabled

## sentinelsat 1.1.1

=== debian/changelog ===
sentinelsat (1.1.1-1) unstable; urgency=medium

  * Releasing debian version 1.1.1-1.
  * Updating copyright for 2023.
  * Updating to standards version 4.6.2.
  * Adding upstream version 1.1.1.

 -- Simon Spöhel <simon@spoehel.ch>  Sun, 08 Jan 2023 13:56:44 +0100

## sentinelsat 1.2.1

=== requirements.txt ===
requests
click >= 7.1
html2text
geojson >= 2
tqdm >= 4.58
geomet

=== debian/changelog ===
sentinelsat (1.2.1-1) unstable; urgency=medium

  * Releasing debian version 1.2.1-1. (Closes: #1057908)
  * Updating copyright year.
  * Adding upstream version 1.2.1.

 -- Simon Spöhel <simon@spoehel.ch>  Fri, 15 Dec 2023 18:58:55 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-six,
  python3-tqdm,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/sentinelsat/sentinelsat
 Vcs-Browser: https://salsa.debian.org/simon-guest/sentinelsat
 Vcs-Git: https://salsa.debian.org/simon-guest/sentinelsat.git

=== debian/watch ===
version=4
https://pypi.org/simple/sentinelsat .*/sentinelsat-(.+)\.tar\.gz.*
